NULL

RELEASE reNXpack - Repack Nintendo Switch nsps to work on lower firmwares

Discussion in 'Switch - Emulation, Homebrew & Software Projects' started by The-4n, Apr 10, 2019.

  1. Philliyxx

    Philliyxx GBAtemp Regular

    Member
    3
    Sep 21, 2018
    United States
    The game was built using SDK 7.3.2.0 and thus seems to be using different MmuFlags than current NSOs, which is the reason this game
    fails on the known CFW solutions (SXOS, Atmosphere, ReiNX, etc.)

    Atmosphere got updated yesterday to address this and the GitHub built with the fix. FYI
     
  2. lutyj

    lutyj Newbie

    Newcomer
    4
    Mar 28, 2018
    Poland
    I assume Ninja Theory used some new functionality introduced with newest SDK that previous FWs basically don't have.
     
  3. bodyXY

    bodyXY GBAtemp Regular

    Member
    5
    May 15, 2018
    Germany
    did you use the fix ?

    — Posts automatically merged - Please don't double post! —

     
  4. The-4n
    OP

    The-4n GBAtemp Fan

    Member
    9
    Aug 3, 2018
    United States
    @bodyXY run program as an administrator
     
  5. lutyj

    lutyj Newbie

    Newcomer
    4
    Mar 28, 2018
    Poland
    Elaborate please?
    I've used 1.10 version with latest atm, that's it.
     
  6. The-4n
    OP

    The-4n GBAtemp Fan

    Member
    9
    Aug 3, 2018
    United States
    First, use v1.11
    If it doesn't work, use released fix from VENOM

    (make sure you are running atmosphere 0.8.7)
     
    Last edited by The-4n, Apr 12, 2019
  7. bodyXY

    bodyXY GBAtemp Regular

    Member
    5
    May 15, 2018
    Germany
    @The-4n

    tried now multiple times but with the same result, i give both exes admin permissions and more than 50gb free space, NSW-Venom Version of Hellblade
     
  8. The-4n
    OP

    The-4n GBAtemp Fan

    Member
    9
    Aug 3, 2018
    United States
    Try to lower the path lenght
    Put nsps and exes like D:\hellblade

    Also your anti-virus may cause this problem
    There was an American anti-virus which i don't remember its name which caused such a problem
     
  9. TheZander

    TheZander King of the Level 7's

    Member
    10
    Feb 1, 2008
    United States
    Level 7
    With the venom fix the game works on 6.2?
     
  10. The-4n
    OP

    The-4n GBAtemp Fan

    Member
    9
    Aug 3, 2018
    United States
    IDK
    test it
     
  11. TheZander

    TheZander King of the Level 7's

    Member
    10
    Feb 1, 2008
    United States
    Level 7
    It installs after renxing it v 1.01 then would fail to launch. The patch thing just leaves it at a black screen
     
  12. The-4n
    OP

    The-4n GBAtemp Fan

    Member
    9
    Aug 3, 2018
    United States
    Test v1.11 without venom fix
    If it didn't work, There's no solution for now

    Also make sure you are on atmosphere 0.8.7
     
  13. TheZander

    TheZander King of the Level 7's

    Member
    10
    Feb 1, 2008
    United States
    Level 7
    I don't think i can do it to already repacked and i deleted the original thing. It was just a test anyways i have no idea what this game is
     
    The-4n likes this.
  14. DIXES

    DIXES GBAtemp Regular

    Member
    3
    Aug 3, 2008
    Taiwan
    Is this tool able to repack power ranger for 5.1.0? I've tried nsc_builder for that but no success.

    edit: It will be freezed when launch the repacked nsp of power ranger on fw 5.1.0.
     
    Last edited by DIXES, Apr 13, 2019
  15. Philliyxx

    Philliyxx GBAtemp Regular

    Member
    3
    Sep 21, 2018
    United States
    How does this tool choose the name of the output repacked nsp? Just a small request to be able to choose this in advance before the repack if possible.
     
  16. bodyXY

    bodyXY GBAtemp Regular

    Member
    5
    May 15, 2018
    Germany
    i can confirm, Hellblade doesnt run with 6.2, not with the fix and also not with the newest version of Atmo (cfw fix update)
     
    hippy dave and The-4n like this.
  17. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    22
    Oct 27, 2002
    France
    Engine room, learning
    I created this page quickly : https://wiki.gbatemp.net/wiki/Switch_games_firmware_requirement
    It might contain mistakes, grammar and spelling errors, please let me know or fix it yourself :P

    I used word templates so it's easier to add new columns later if needed. (note=blabla) instead of fixed array which would require full page edition to add columns.
    it should be easier for users too.
    {{Nxfw | name=Game title | tid=0000000000000000 | type=FULL/UPD/DLC | fw=x.x.x | fwbypass=x.x.x | fwrepack=x.x.x | notes=blah }}


    If you want a wiki account, let me know. I need your email (by PM) to which a password will be sent.
    edit: it seems the wiki has a mail sending issue, so no account creation possible until it's fixed. (or ask tj_cool instead of me, he has more access).


    edit2:
    I added a link to that page on wiki's home.
     
    Last edited by Cyan, Apr 12, 2019
    Garou, Philliyxx, hippy dave and 2 others like this.
  18. Paffo

    Paffo Advanced Member

    Newcomer
    3
    Aug 10, 2018
    Italy
    Thanks a lot for this, i can stay on my beloved 5.1.0 and play games with MasterKey6.
    You spared us lot of hassle!

    #EDIT

    I've tried repacking Deltarune (MasterKey6, 6.1.0) and im successfully running it on 5.1.0 AMS 0.8.7
    All works flawlessly, Thanks mate!
     
    Last edited by Paffo, Apr 12, 2019
    The-4n likes this.
  19. RyuSeisuke1992

    RyuSeisuke1992 GBAtemp Regular

    Member
    6
    Mar 24, 2018
    Germany
    @Cyan Would it be helpful to add the SDK version of the game in question? XCI Explorer shows the version of a game!
     
  20. ZachyCatGames

    ZachyCatGames GBAtemp Advanced Maniac

    Member
    8
    Jun 19, 2018
    United States
    Hell
    You can't, that title probably requires shit that was added in a higher firmware

    Almost? It is a pre-release build. It was built sometime in November 2016 and it's referred to as a pilot firmware :P
     
Loading...